Package org.snpeff.fileIterator

# Class RegulationFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<Regulation>
org.snpeff.fileIterator.MarkerFileIterator<Regulation>
org.snpeff.fileIterator.RegulationFileIterator

All Implemented Interfaces:
  `Iterable<Regulation>`, `Iterator<Regulation>`

Direct Known Subclasses:
  `RegulationBedFileIterator`, `RegulationGffFileIterator`

public abstract class RegulationFileIterator extends MarkerFileIterator<Regulation>
Opens a regulation file and create Regulation elements.

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpeff.fileIterator.MarkerFileIterator

`createChromos, genome, ignoreChromosomeErrors, inOffset`

### Fields inherited from class org.snpeff.fileIterator.FileIterator

`autoClose, countNewLineChars, debug, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`RegulationFileIterator(String fileName, int inOffset)`
`RegulationFileIterator(String fileName, Genome genome, int inOffset)`

## Method Summary

### Methods inherited from class org.snpeff.fileIterator.MarkerFileIterator

`getChromosome, getGenome, init, isIgnoreChromosomeErrors, loadMarkers, parsePosition, sanityCheckChromo, setCreateChromos, setIgnoreChromosomeErrors, setInOffset`

### Methods inherited from class org.snpeff.fileIterator.FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, isDebug, iterator, load, next, readLine, readNext, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### RegulationFileIterator

public RegulationFileIterator(String fileName, Genome genome, int inOffset)

### RegulationFileIterator

public RegulationFileIterator(String fileName, int inOffset)